<?php if (!is_admin()) die('Authorization failed!'); ?>

<script type="text/javascript">
	var $j = jQuery.noConflict();
	
	$j(function() {
		check_ratio();
		bind_ratio_clk();
		bind_width_fld();	
		bind_form_submit();
	});
	
	var bind_form_submit = function() {
		$j('#rvvideo_form').submit(function() {
			$j('#rvvideos_height').removeAttr('disabled');
		});
	}
	
	var bind_width_fld = function() {
		$j('#rvvideos_width').keyup(function() {
			set_ratio_size();
		});		
	}
	
	var bind_ratio_clk = function() {
		$j('#rvvideos_ratio').click(function() {
			if ($j('#rvvideos_ratio').prop('checked') == true) {
				$j('#rvvideos_height').attr('disabled', 'disabled');
				set_ratio_size();
			}
			else {
				$j('#rvvideos_height').removeAttr('disabled');
				$j('#rvvideos_width').unbind();
			}
		});	
	}
	
	var check_ratio = function() {
		var width	= $j('#rvvideos_width').val();
		var height	= $j('#rvvideos_height').val();
		var ratio	= Math.round(width / height * 10) / 10;
		
		if (ratio = 1.7) {
			$j('#rvvideos_ratio').attr('checked', 'checked');
			$j('#rvvideos_height').attr('disabled', 'disabled');		
			set_ratio_size();
		}
		else {
			$j('#rvvideos_ratio').removeAttr('checked');
		}
	}
	
	var set_ratio_size = function() {
		if ($j('#rvvideos_ratio').prop('checked') == true) {
			var width	= $j('#rvvideos_width').val();
			var height	= Math.round(width / 1.72);
			$j('#rvvideos_height').val(height);
		}		
	}
</script>

<div class="wrap">
	<h2>RVVideos Plugin Options</h2>
	
	<form id="rvvideo_form" method="post" action="options.php"> 
		<?php settings_fields('rvvideos_options'); ?>
		
		<table class="form-table">
			<tr>
				<td>Preserve aspect ratio (set width, height will be updated):</td>
				<td><input id="rvvideos_ratio" type="checkbox" name="rvvideos_ratio" value="1"></td>
			</tr>		
			<tr>
				<td>Player Width (pixels):</td>
				<td><input id="rvvideos_width" type="text" name="rvvideos_width" value="<?php echo get_option('rvvideos_width'); ?>"></td>
			</tr>
			<tr>
				<td>Player Height (pixels):</td>
				<td><input id="rvvideos_height" type="text" name="rvvideos_height" value="<?php echo get_option('rvvideos_height'); ?>"></td>
			</tr>	
			<tr>
				<td colspan="2"><input class="button-primary" type="submit" value="Save options" /></td>
			</tr>	
		</table>
	</form>
</div>